Bug 462276 - AutoFS Crashes if non-alpha numerics are tried as map names (LDAP maps)
AutoFS Crashes if non-alpha numerics are tried as map names (LDAP maps)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5 (Show other bugs)
4.7
i686 Linux
medium Severity high
: rc
: ---
Assigned To: Ian Kent
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 23:55 EDT by Ian Kent
Modified: 2009-05-18 16:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2008-09-14 23:55:51 EDT
+++ This bug was initially created as a clone of Bug #458464 +++

Created an attachment (id=313819)
Backtrace of Crash from gdb

Description of problem:
If you cd to a directory that doesn't exists in the automount maps and this 
map has an unusual character in it (in my case a leading dot and underscores). AutoFS dumps core.

Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.88
only running though on an i686 kernel (i.e PAE kernel doesn't even crash)

How reproducible:
Every time

Steps to Reproduce:
1.We have a master map containing /projects but no map .CSL_APP_VER
2.cd /projects/.CSL_APP_VER
3.automount process crashes

--- Additional comment from pm-rhel@redhat.com on 2008-08-09 01:31:49 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 1 RHEL Product and Program Management 2008-09-24 16:25:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-05-18 16:30:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1010.html

Note You need to log in before you can comment on or make changes to this bug.